%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           poker-engine
Version:	1.0.15
Release:        4%{?dist}
Summary:        Python library that implements poker rules
Group:          Development/Libraries
License:        GPL
URL:            http://pokersource.org/poker-engine
Source0:        http://download.gna.org/pokersource/sources/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-config.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  rsync libxml2-python libxslt-python pypoker-eval-devel >= 128.0
Requires:       rsync pypoker-eval >= 128.0

%description
This is a python library that implements poker rules according
to variants and betting structures specified in configuration files.
It designed to be used by a multiplayer poker server, a poker AI or a
poker client.

%package devel
Summary:        Poker rule implementation library development files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pypoker-eval-devel

%description devel
This package contains files required to build applications that use
poker-engine.

%prep
%setup -q
%patch0 -p0 -b .config

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%check
# upstream is aware of some check failures
%{__make} %{?_smp_mflags} check
 
%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc %{_mandir}/man8/*.8.gz
%{_sbindir}/pokerconfigupgrade
%{_datadir}/%{name}/conf/*.xml
%{python_sitelib}/pokerengine/*.py
%{python_sitelib}/pokerengine/*.pyc
%ghost %{python_sitelib}/pokerengine/*.pyo
%config(noreplace) %{_sysconfdir}/%{name}/*

%files devel
%defattr(-,root,root,-)
%{_datadir}/pkgconfig/%{name}.pc

%changelog
* Thu Jun 22 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-4
- Add patch to put pkgconfig file in %{_datadir}

* Mon Jun 12 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-3
- pkgconfig no longer needed. It is now picked up by pypoker-eval-devel

* Thu Jun 01 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-2
- Add new BR pkgconfig
- Use macros for system commands

* Tue May 30 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-1
- Upstream sync
- Add rsync to Requires
- Remove patches and autoreconf since these have been fixed in new release

* Mon May 15 2006 Christopher Stone <chris.stone@gmail.com> 1.0.14-3
- Add Requires pypoker-eval-devel to devel package

* Sun May 14 2006 Christopher Stone <chris.stone@gmail.com> 1.0.14-2
- Add patch for noarch configuration
- Readded BuildArch of noarch
- Removed python-abi Requires
- Added %%check section
- Updated Source0 location
- Add patch to place python files in sitelib
- Replace %%{python_sitearch} with %%{python_sitelib}
- Removed unnecessary Requires
- Removed examples from -devel since this is no longer maintained by upstream

* Thu Mar 30 2006 Loic Dachary <loic at gnu.org> 1.0.14-1
- upstream sync

* Sun Mar 26 2006 Christopher Stone <chris.stone@gmail.com> 1.0.13-2
- Fix BuildRequires

* Sat Mar 25 2006 Loic Dachary <loic at gnu.org> 1.0.13-1
- upstream sync

* Fri Mar 17 2006 Christopher Stone <chris.stone@gmail.com> 1.0.12-1
- Initial RPM release
